import axios from '../api'

/**
 * API接口
 */
export default {

  // 获取外部用户列表
  lsadminList(params) {
    return axios.post('/api/lsadmin/index',params)
  },

  // 添加外部用户
  lsadminAdd(params) {
    return axios.post('/api/lsadmin/add',params)
  },

  // 编辑外部用户
  lsadminEdit(params) {
    return axios.post('/api/lsadmin/edit',params)
  },

  // 获取外部用户详情
  lsadminInfo(params) {
    return axios({
      method: "GET",
      url: '/api/lsadmin/info?id='+params.id,
      data: {}
    })
  },

  // 删除外部用户
  lsadminDel(params) {
    return axios.post('/api/lsadmin/drop',params)
  },

  // 设置状态
  setStatus(params) {
    return axios.post('/api/lsadmin/setStatus',params)
  },

  // 重置密码
  resetPwd(params) {
    return axios.post('/api/lsadmin/resetPwd',params)
  },

  // 获取基础数据
  getBaseData(params) {
    return axios.get('/api/lsadmin/getBaseData', JSON.stringify(params))
  },

  // 获取角色列表
  getAuthGroupList(params){
    return axios.post('/api/lsauthgroup/getAuthGroupList', params)
  },


  getDriverManagerList(params){
    return axios.post('/api/admin/userAdmin/getDriverManagerList', params)
  }
}


